## Makefile for MakeIndex (Win32 version)		-*- Makefile -*-
## Time-stamp: "97/08/04 00:28:54 mik"

!include ..\..\miktex.inc

CFLAGS = -I$(libdir) -DOS_WIN32 -DIBM_PC_MICROSOFT -DMIKTEX -DMIKTEX_DLL \
		$(release_info) -MD -O2 $(cflags)

OBJS = genind.obj mkind.obj qsort.obj scanid.obj scanst.obj sortid.obj

all: makeindex.exe

makeindex.exe: $(OBJS) $(libdir)\miktex.lib makeindex.res
	link $(ldflags) -out:$@ $**

makeindex.res: makeindex.rc $(libdir)\miktex.version $(libdir)\version.h
	rc -I$(libdir) makeindex.rc

install: makeindex.exe
	$(INSTALL_PROGRAM) makeindex.exe $(bindir)\makeindex.exe

mostlyclean:
	-del *.obj
	-del makeindex.res

clean: mostlyclean
	-del makeindex.exe
	-del *.ilk
	-del *.pdb

distclean: clean
	-del *.opt
	-del makefile.win32.bak

depend: genind.c mkind.c qsort.c scanid.c scanst.c sortid.c
	makedepend -DOS_WIN32 -DIBM_PC_MICROSOFT -DMIKTEX \
		-f makefile.win32 -I. -I..\..\lib $**

# DO NOT DELETE

genind.obj: mkind.h ..\..\lib/miktex.version ..\..\lib/version.h genind.h
mkind.obj: mkind.h ..\..\lib/miktex.version ..\..\lib/version.h
mkind.obj: ..\..\lib/miktex.h ..\..\lib/c4plib.h
qsort.obj: mkind.h ..\..\lib/miktex.version ..\..\lib/version.h
scanid.obj: mkind.h ..\..\lib/miktex.version ..\..\lib/version.h scanid.h
scanst.obj: mkind.h ..\..\lib/miktex.version ..\..\lib/version.h scanst.h
sortid.obj: mkind.h ..\..\lib/miktex.version ..\..\lib/version.h
